classification
Title: Compilation warnings under x64 Windows
Type: behavior Stage: resolved
Components: Extension Modules, Interpreter Core Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Segev Finer, amaury.forgeotdarc, flox, janglin, jkloth, loewis, pitrou, python-dev, schmir, steve.dower, terry.reedy, vstinner
Priority: normal Keywords: buildbot, patch

Created on 2010-08-10 23:59 by pitrou, last changed 2019-04-23 08:26 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
socketmodule_int.patch vstinner, 2011-01-11 00:08
ssl_sock_fd_int.patch vstinner, 2011-01-11 00:48
ssl_write.patch vstinner, 2011-01-11 00:53
hash.patch vstinner, 2011-01-11 00:55
_sre.patch vstinner, 2011-01-11 01:03
issue9566.patch vstinner, 2011-01-11 01:13
warnings64.log flox, 2012-07-21 12:57
Pull Requests
URL Status Linked Edit
PR 2492 merged Segev Finer, 2017-06-29 19:40
PR 2495 merged Segev Finer, 2017-06-29 21:53
PR 2852 closed Segev Finer, 2017-07-24 18:53
PR 2890 merged Segev Finer, 2017-07-26 09:38
PR 2904 merged Segev Finer, 2017-07-26 23:17
PR 3140 merged Segev Finer, 2017-08-18 17:27
PR 5230 merged vstinner, 2018-01-18 08:35
PR 10652 merged vstinner, 2018-11-22 09:46
PR 10654 merged vstinner, 2018-11-22 11:34
PR 11010 open jkloth, 2018-12-07 01:43
PR 11011 closed jkloth, 2018-12-07 01:47
PR 12920 merged vstinner, 2019-04-23 08:09
Messages (68)
msg113573 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-08-10 23:59
A 64-bit build under Windows produces many compilation warnings, mostly related to lossy conversions between different int sizes.
Some of these warnings appear harmless after analysis (are MS 64 bit compilers pickier than their 32 bit counterparts?).
It would probably be spammy to open a separate issue per file.

5>..\Python\pythonrun.c(1210) : warning C4267: '=' : conversion from 'size_t' to 'int', possible loss of data

5>..\Python\Python-ast.c(3403) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(3409) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(3439) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(3445) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(3498) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(3504) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(3608) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(3614) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(3633) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(3639) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(3699) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(3705) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(3724) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(3730) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(3771) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(3777) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(3796) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(3802) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(3855) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(3861) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(3892) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(3898) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4016) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4022) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4041) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4047) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4092) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4098) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4117) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4123) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4167) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4173) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4192) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4198) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4253) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4259) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4326) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4332) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4351) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4357) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4376) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4382) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4414) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4420) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4439) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4445) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4510) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4516) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4559) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4565) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4607) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4613) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4643) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4649) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4791) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4797) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(4998) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5004) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5023) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5029) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5059) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5065) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5108) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5114) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5157) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5163) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5219) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5225) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5269) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5275) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5341) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5347) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5366) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5372) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5419) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5425) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5444) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5450) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5753) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5759) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5802) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5808) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5979) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(5985) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(6356) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(6362) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(6456) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(6462) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(6508) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(6514) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(6555) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(6561) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(6602) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(6608) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(6627) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\Python-ast.c(6633) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data

5>..\Python\dtoa.c(1529) : warning C4244: '=' : conversion from '__int64' to 'int', possible loss of data
5>..\Python\dtoa.c(1539) : warning C4244: '-=' : conversion from '__int64' to 'int', possible loss of data
5>..\Python\dtoa.c(1545) : warning C4244: '+=' : conversion from '__int64' to 'int', possible loss of data

5>..\Python\pystrtod.c(902) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\pystrtod.c(1023) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data

5>..\Python\peephole.c(84) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'unsigned char', possible loss of data
5>..\Python\peephole.c(184) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'unsigned char', possible loss of data
5>..\Python\peephole.c(237) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'unsigned char', possible loss of data
5>..\Python\peephole.c(309) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'unsigned char', possible loss of data
5>..\Python\peephole.c(352) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\peephole.c(403) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'unsigned char', possible loss of data
5>..\Python\peephole.c(418) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'unsigned char', possible loss of data
5>..\Python\peephole.c(459) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\peephole.c(544) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\peephole.c(555) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'unsigned char', possible loss of data
5>..\Python\peephole.c(587) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\peephole.c(601) : warning C4244: '-=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\peephole.c(632) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\peephole.c(661) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'unsigned char', possible loss of data
5>..\Python\peephole.c(671) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'unsigned char', possible loss of data

5>..\Python\getargs.c(390) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\getargs.c(502) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\getargs.c(876) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\getargs.c(931) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\getargs.c(939) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\getargs.c(983) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\getargs.c(1133) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\getargs.c(1476) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\getargs.c(1477) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data

5>z:\py3k\__svn__\python\../Objects/stringlib/formatter.h(984) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>z:\py3k\__svn__\python\../Objects/stringlib/formatter.h(1161) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>z:\py3k\__svn__\python\../Objects/stringlib/formatter.h(1165) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data

5>..\Python\compile.c(339) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'long', possible loss of data
5>..\Python\compile.c(384) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'long', possible loss of data
5>..\Python\compile.c(479) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\compile.c(533) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\compile.c(947) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'long', possible loss of data
5>..\Python\compile.c(962) : warning C4244: 'return' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\compile.c(1254) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\compile.c(1399) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\compile.c(3678) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\compile.c(3704) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\compile.c(3730) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\compile.c(3898) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\compile.c(3902) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\compile.c(3942) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\compile.c(3949) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data

5>..\Python\ceval.c(3967) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Python\ceval.c(4155) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data

5>..\PC\winreg.c(769) : warning C4267: '=' : conversion from 'size_t' to 'DWORD', possible loss of data
5>..\PC\winreg.c(801) : warning C4267: '+=' : conversion from 'size_t' to 'DWORD', possible loss of data
5>..\PC\winreg.c(851) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'DWORD', possible loss of data
5>..\PC\winreg.c(1186) : warning C4133: '=' : incompatible types - from 'wchar_t *' to 'BYTE *'

5>..\PC\_subprocess.c(345) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\PC\_subprocess.c(368) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\PC\_subprocess.c(369) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\PC\_subprocess.c(371) : warning C4244: '=' : conversion from '__int64' to 'int', possible loss of data
5>..\PC\_subprocess.c(373) : warning C4244: 'initializing' : conversion from '__int64' to 'int', possible loss of data

5>..\Parser\tokenizer.c(658) : warning C4267: 'initializing' : conversion from 'size_t' to 'int', possible loss of data
5>..\Parser\tokenizer.c(689) : warning C4244: '=' : conversion from '__int64' to 'int', possible loss of data

5>..\Parser\parsetok.c(199) : warning C4244: '=' : conversion from '__int64' to 'int', possible loss of data

5>..\Parser\grammar.c(66) : warning C4244: 'return' : conversion from '__int64' to 'int', possible loss of data
5>..\Parser\grammar.c(108) : warning C4244: 'return' : conversion from '__int64' to 'int', possible loss of data

5>..\Objects\typeobject.c(6173) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data

5>..\Objects\setobject.c(743) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'long', possible loss of data
5>..\Objects\setobject.c(772) : warning C4244: '*=' : conversion from 'Py_ssize_t' to 'long', possible loss of data
5>..\Objects\setobject.c(819) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'long', possible loss of data

5>..\Objects\obmalloc.c(904) : warning C4244: '=' : conversion from '__int64' to 'unsigned int', possible loss of data

5>..\Objects\funcobject.c(633) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Objects\funcobject.c(634) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Objects\funcobject.c(634) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data

5>..\Objects\frameobject.c(480) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Objects\frameobject.c(513) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Objects\frameobject.c(871) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Objects\frameobject.c(872) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Objects\frameobject.c(918) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Objects\frameobject.c(919) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data

5>..\Objects\fileobject.c(401) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'unsigned int', possible loss of data

5>..\Objects\descrobject.c(891) : warning C4244: '=' : conversion from '__int64' to 'int', possible loss of data

5>..\Objects\codeobject.c(495) : warning C4244: 'initializing' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Objects\codeobject.c(517) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data

5>..\Objects\bytesobject.c(786) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Objects\bytesobject.c(795) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Objects\bytesobject.c(1755) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Objects\bytesobject.c(1947) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Objects\bytesobject.c(2620) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'char', possible loss of data
5>..\Objects\bytesobject.c(2641) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'char', possible loss of data
5>..\Objects\bytesobject.c(2696) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'char', possible loss of data

5>..\Objects\bytearrayobject.c(1222) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Objects\bytearrayobject.c(1231) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data

5>..\Objects\bytes_methods.c(454) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'char', possible loss of data

5>..\Modules\_io\fileio.c(483) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'unsigned int', possible loss of data
5>..\Modules\_io\fileio.c(566) : warning C4267: 'function' : conversion from 'size_t' to 'unsigned int', possible loss of data
5>..\Modules\_io\fileio.c(622) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'unsigned int', possible loss of data
5>..\Modules\_io\fileio.c(662) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'unsigned int', possible loss of data

5>..\Modules\zlibmodule.c(127) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\zlibmodule.c(211) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\zlibmodule.c(217) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'uInt', possible loss of data
5>..\Modules\zlibmodule.c(271) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'uInt', possible loss of data
5>..\Modules\zlibmodule.c(422) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\zlibmodule.c(434) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'uInt', possible loss of data
5>..\Modules\zlibmodule.c(451) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'uInt', possible loss of data
5>..\Modules\zlibmodule.c(505) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\zlibmodule.c(526) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'uInt', possible loss of data
5>..\Modules\zlibmodule.c(556) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'uInt', possible loss of data
5>..\Modules\zlibmodule.c(935) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'uInt', possible loss of data
5>..\Modules\zlibmodule.c(938) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'uInt', possible loss of data
5>..\Modules\zlibmodule.c(963) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'uInt', possible loss of data
5>..\Modules\zlibmodule.c(966) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'uInt', possible loss of data

5>..\Modules\sha512module.c(558) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\sha512module.c(710) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\sha512module.c(751) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data

5>..\Modules\sha256module.c(492) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\sha256module.c(644) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\sha256module.c(685) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data

5>..\Modules\sha1module.c(399) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'unsigned long', possible loss of data
5>..\Modules\sha1module.c(520) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'unsigned long', possible loss of data

5>..\Modules\posixmodule.c(394) : warning C4267: '=' : conversion from 'size_t' to 'int', possible loss of data
5>..\Modules\posixmodule.c(3708) : warning C4133: 'function' : incompatible types - from 'int *' to 'Py_ssize_t *'
5>..\Modules\posixmodule.c(4886) : warning C4244: 'function' : conversion from 'Py_intptr_t' to 'long', possible loss of data
5>..\Modules\posixmodule.c(5593) : warning C4267: 'function' : conversion from 'size_t' to 'unsigned int', possible loss of data

5>..\Modules\mmapmodule.c(881) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'char', possible loss of data

5>..\Modules\md5module.c(423) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'unsigned long', possible loss of data
5>..\Modules\md5module.c(544) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'unsigned long', possible loss of data

5>..\Modules\binascii.c(667) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'unsigned char', possible loss of data

5>..\Modules\audioop.c(332) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\audioop.c(354) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\audioop.c(376) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\audioop.c(398) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\audioop.c(423) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\audioop.c(632) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\audioop.c(687) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\audioop.c(737) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\audioop.c(763) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\audioop.c(810) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\audioop.c(868) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\audioop.c(928) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\audioop.c(984) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\audioop.c(1018) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\audioop.c(1053) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\audioop.c(1284) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\audioop.c(1316) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\audioop.c(1353) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\audioop.c(1385) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\audioop.c(1424) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\audioop.c(1530) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data

5>z:\py3k\__svn__\modules\_sre.c(1898) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>z:\py3k\__svn__\modules\_sre.c(1901) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>z:\py3k\__svn__\modules\_sre.c(1935) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>z:\py3k\__svn__\modules\_sre.c(1938) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>z:\py3k\__svn__\modules\_sre.c(2082) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>z:\py3k\__svn__\modules\_sre.c(2085) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>z:\py3k\__svn__\modules\_sre.c(2212) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>z:\py3k\__svn__\modules\_sre.c(2215) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>z:\py3k\__svn__\modules\_sre.c(2364) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>z:\py3k\__svn__\modules\_sre.c(2367) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>z:\py3k\__svn__\modules\_sre.c(3753) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>z:\py3k\__svn__\modules\_sre.c(3756) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>z:\py3k\__svn__\modules\_sre.c(3786) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>z:\py3k\__svn__\modules\_sre.c(3789) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data

5>..\Modules\_pickle.c(284) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\_pickle.c(301) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\_pickle.c(461) : warning C4244: '+=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\_pickle.c(628) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'long', possible loss of data
5>..\Modules\_pickle.c(647) : warning C4267: '=' : conversion from 'size_t' to 'int', possible loss of data
5>..\Modules\_pickle.c(1320) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\_pickle.c(1558) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\_pickle.c(1806) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data

5>..\Modules\_csv.c(971) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\_csv.c(1100) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\_csv.c(1105) : warning C4244: 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
5>..\Modules\_csv.c(1133) : warning C4244: '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data

5>..\Modules\_collectionsmodule.c(1124) : warning C4244: 'function' : 
conversion from 'Py_ssize_t' to 'long', possible loss of data
msg113574 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2010-08-11 00:15
This must be a duplicate report - this issue has been known for years, and Kristjan and others (including myself) volunteered to work on it, and did actually work on it.

I don't think it's necessary to have a bug report in the bug tracker for it. If you find a place that you would like to fix, just go ahead and fix it.

Please keep in mind the following principles:
- if a value can reasonably overflow an int, change the data type to something larger (typically Py_ssize_t)
- if the value can overflow in principle, but likely won't, and  it is difficult to fix the data type (e.g. because it's at a system interface), make a range check, raise a Python exception, and then SAFECAST the value.
- if the value "shouldn't" overflow (i.e. you are believe from the data flow or other invariants that it can't happen), use a safecast
- if you are certain that the value can't overflow (e.g. if you are converting the result of a sizeof of some structure), use a regular cast, along with a comment

This leaves us with a number of cases where there are pragmatic Python limitations (such as the data type for line numbers, or the number of values when building a tuple in source) which make it impossible to get overflows in the current implementation. Such limitations should be collected in some place, and then SAFECASTs should be added, along with asserts at startup (e.g. that a certain datatype has no more than 2 bytes).
msg113975 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-08-15 17:26
Created #9611 to report the FileIO 64-bit issue under Windows.
msg113977 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-08-15 17:34
Created #9612 for the mostly harmless warnings in the set implementation.
msg113978 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-08-15 17:49
The zlib warnings are genuine and there's a specific bug for 64-bitness of zlibmodule.c: #8650.
msg113983 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-08-15 18:03
Opened #9613 for 64-bitness of process ids.
msg113987 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-08-15 18:13
Opened #9614 for the _pickle issues (which look quite legitimate).
msg125311 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-01-04 13:06
r87733 fixes some conversions in:

 * Python/pythonrun.c
 * Objects/codeobject.c
 * Objects/typeobject.c
 * Objects/listobject.c
 * Modules/_ctypes/_ctypes.c
 * Modules/sha512module.c
 * Modules/unicodedata.c
 * Modules/selectmodule.c
 * Modules/pyexpat.c
 * Modules/audioop.c
 * Modules/sha1module.c
 * Modules/sha256module.c
 * Modules/_testcapimodule.c
 * Modules/md5module.c

For md5, sha1, sha256 and sha512: a smaller type (int) can be used for the local n variable. I don't know if it impacts performances or not. md5 and sha1 used "unsigned long", sha256 and sha512 used "int".
msg125334 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2011-01-04 15:03
r87733 in pyexpat.c modified a call to PyErr_Format with a %zi format code.
This format does not seem to be supported. %zd should be used instead.
msg125363 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-01-04 21:24
#10823 has been marked as a duplicate of this issue.
msg125367 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2011-01-04 21:47
haypo: please avoid introducing explicit casts (such as the one in pyexpat.c). Use SAFECASTs instead. If you are absolutely certain that a cast cannot possibly truncate, add a comment explaining why that is. In the specific case, I think it actually *is* possible that the cast truncates, because the case that read() returned too many bytes is incorrectly handled (it should set len to -1).
msg125370 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-01-04 22:02
amaury> r87733 in pyexpat.c modified a call to PyErr_Format with a %zi
amaury> format code. This format does not seem to be supported. %zd
amaury> should be used instead.

Oh, that's surprising. Why %zd is supported but not %zi?

PyUnicode_FromFormatV() supports %d, %ld, %lld, %zd, %i, but not %li, %lli or %zi. Before fixing PyUnicode_FromFormatV(), I fixed pyexpat.c: r87747.

MvL> If you are absolutely certain that a cast cannot possibly truncate, 
MvL> add a comment explaining why that is.

Ah yes, sorry, I forgot to add a comment: done in r87746.
msg125371 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-01-04 22:05
> Python\pystrtod.c(902) : 'function' : conversion from 'Py_ssize_t' to 'int', possible loss of data
> Python\pystrtod.c(1023) : '=' : conversion from 'Py_ssize_t' to 'int', possible loss of data

I asked dmalcolm on IRC if int or Py_ssize_t should be used:

"this is the number of digits to use in the floating point representation, right? it strikes me that if you're overflowing an int, you're asking for a very very very long string" (yes, INT_MAX is usually 2^31)

"... looking at usage of precision seems to ultimately land in Python/dtoa.c, which uses int..."
msg125377 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2011-01-04 22:40
> MvL> If you are absolutely certain that a cast cannot possibly truncate, 
> MvL> add a comment explaining why that is.
> 
> Ah yes, sorry, I forgot to add a comment: done in r87746.

But the comment is actually wrong: It says

len <= buf_size <= INT_MAX (see above)

however, len > buf_size may happen, after this code:

    if (len > buf_size) {
        PyErr_Format(PyExc_ValueError,
                     "read() returned too much data: "
                     "%i bytes requested, %zd returned",
                     buf_size, len);
        goto finally;
    }
msg125384 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-01-04 23:55
> But the comment is actually wrong: It says
> 
> len <= buf_size <= INT_MAX (see above)
> 
> however, len > buf_size may happen, after this code:
> 
>     if (len > buf_size) {
>         PyErr_Format(PyExc_ValueError,
>                      "read() returned too much data: "
>                      "%i bytes requested, %zd returned",
>                      buf_size, len);
>         goto finally;
>     }

Oh. Not only is the comment is wrong, but the code is also wrong. It
should return a negative value on error, whereas it returns the string
length which is always positive (except on a unlikely Py_ssize_t => int
overflow?).
msg125385 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2011-01-05 00:01
> Oh. Not only is the comment is wrong, but the code is also wrong. It
> should return a negative value on error, whereas it returns the string
> length which is always positive (except on a unlikely Py_ssize_t => int
> overflow?).

Right. See msg125367.
msg125390 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-01-05 01:02
pyexpat.patch: new try, does it look better?
msg125951 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-01-10 23:01
> [readinst) should return a negative value on error, whereas it 
> returns the string length which is always positive

Fixed by r87911.
msg125963 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-01-11 00:08
socketmodule_int.patch: Fix similar to the fix for #9611: clamp length to INT_MAX on Windows for recv(), recvfrom(), send() and sendto().
msg125969 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-01-11 00:48
ssl_sock_fd_int.patch: add SOCKET_T_AS_INT(fd) macro to cast a socket descriptor (SOCKET_T) to int. I choosed a macro just to not have to repeat a comment twice :-)

It looks like it is a safe to cast SOCKET_T to int. My comment:

/* On Windows, SOCKET_T is an offset in per-process handle table.
   The per-process limit on kernel handles is 2^24. Kernel Objects:
   http://msdn.microsoft.com/en-us/library/ms724485%28VS.85%29.aspx
*/
msg125970 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-01-11 00:51
> On Windows, SOCKET_T is an offset in per-process handle table.
> The per-process limit on kernel handles is 2^24. Kernel Objects:

Reference: http://www.mail-archive.com/openssl-dev@openssl.org/msg23781.html
msg125971 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-01-11 00:53
ssl_write.patch: always clamp SSL_Write() size to INT_MAX. This patch fixes also an overflow if Py_ssize_t is 32 bits (if the size is bigger than INT_MAX).
msg125972 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-01-11 00:55
hash.patch: continue my fix on md5, sha1, sha256, sha512.
msg125973 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-01-11 01:03
_sre.patch: store sre_match() result in Py_ssize_t instead of int.
msg125974 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-01-11 01:13
... and issue9566.patch: various fixes. Interesting parts:

---
-    id = PyLong_FromLong((Py_uintptr_t) self);
+    id = PyLong_FromVoidPtr(self);
---

---
 LOCAL(PyObject*)
-expat_parse(XMLParserObject* self, char* data, int data_len, int final)
+expat_parse(XMLParserObject* self, char* data, Py_ssize_t data_len, int final)
 {
     int ok;
 
-    ok = EXPAT(Parse)(self->parser, data, data_len, final);
+    if (data_len > INT_MAX) {
+        PyErr_SetString(PyExc_OverflowError, "length doesn't fit in an int");
+        return NULL;
+    }
+
+    ok = EXPAT(Parse)(self->parser, data, (int)data_len, final);
---

---
-        long hash = PyObject_Hash(arg);
+        Py_hash_t hash = PyObject_Hash(arg);
---
msg140000 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-07-07 23:10
New changeset 43fd627cc060 by Victor Stinner in branch 'default':
Issue #9566: cast unsigned int to Py_ssize_t in md5 and sha1 modules
http://hg.python.org/cpython/rev/43fd627cc060
msg166018 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2012-07-21 12:57
Attached file is a copy of the remaining warnings on the AMD64 Windows7 SP1 3.x builder.
msg174246 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-10-31 00:07
New changeset 96fc87997ce9 by Victor Stinner in branch 'default':
Issue #9566: Explicit downcast to fix compiler warnings on Win64
http://hg.python.org/cpython/rev/96fc87997ce9

New changeset dabe2486e2ce by Victor Stinner in branch 'default':
Issue #9566: Use the right type to fix a compiler warnings on Win64
http://hg.python.org/cpython/rev/dabe2486e2ce
msg189421 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-05-17 05:22
Just a note: Today I got warnings for 4 or 5 files when compiling  with VC express (32 bit) on 64-bit Win 7.
msg189427 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2013-05-17 07:30
Oh, I fixed some warnings yesterday, but I forgot this issue.

changeset:   83802:ef5dd5bda323
user:        Victor Stinner <victor.stinner@gmail.com>
date:        Fri May 17 00:12:04 2013 +0200
files:       Python/getargs.c Python/traceback.c
description:
Fix compilater warnings on Windows 64-bit


changeset:   83801:16a00dd78cd0
user:        Victor Stinner <victor.stinner@gmail.com>
date:        Fri May 17 00:04:56 2013 +0200
files:       Python/formatter_unicode.c
description:
Fix a compilater warning on Windows 64-bit


changeset:   83800:e5dc97fb304d
user:        Victor Stinner <victor.stinner@gmail.com>
date:        Thu May 16 23:48:01 2013 +0200
files:       Python/ceval.c
description:
Fix a compilater warning on Windows 64-bit

idx variable is used for a tuple indexn so use Py_ssize_t (not int).
msg190619 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-06-04 21:57
New changeset 46401ce03547 by Victor Stinner in branch 'default':
Issue #9566: Fix compiler warning on Windows 64-bit in _bz2module.c
http://hg.python.org/cpython/rev/46401ce03547
msg190621 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-06-04 22:14
New changeset 93f4b32fc95c by Victor Stinner in branch 'default':
Issue #9566: Fix a compiler warning on Windows 64-bit in namespace_init()
http://hg.python.org/cpython/rev/93f4b32fc95c
msg190622 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-06-04 22:25
New changeset 5dcbd5d8d004 by Victor Stinner in branch 'default':
Issue #9566: Fix compiler warning on Windows 64-bit
http://hg.python.org/cpython/rev/5dcbd5d8d004

New changeset 41b8be55b160 by Victor Stinner in branch 'default':
Issue #9566: Fix compiler warning on Windows 64-bit
http://hg.python.org/cpython/rev/41b8be55b160
msg190630 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-06-04 23:18
New changeset 36c35a1893fe by Victor Stinner in branch 'default':
Issue #9566: Fix compiler warning on Windows 64-bit
http://hg.python.org/cpython/rev/36c35a1893fe

New changeset 88a21c5a97ef by Victor Stinner in branch 'default':
Issue #9566: Fix compiler warning on Windows 64-bit
http://hg.python.org/cpython/rev/88a21c5a97ef

New changeset aeebbae8c74c by Victor Stinner in branch 'default':
Issue #9566: Fix compilater warnings on Windows 64-bit
http://hg.python.org/cpython/rev/aeebbae8c74c
msg191801 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-06-24 21:05
New changeset 5c407b64920c by Victor Stinner in branch 'default':
Issue #9566: _io: Use Py_SAFE_DOWNCAST for fix a compiler warning on Windows x64
http://hg.python.org/cpython/rev/5c407b64920c

New changeset 931e1bc090f6 by Victor Stinner in branch 'default':
Issue #9566: zlib: Explicit cast to unsigned int to fix a compiler warning on Windows x64
http://hg.python.org/cpython/rev/931e1bc090f6
msg191803 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2013-06-24 21:07
I created #18294 for the warnings in the zlib module.
msg191804 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-06-24 21:15
New changeset c75ab7b802df by Victor Stinner in branch 'default':
Issue #9566: _winapi.WriteFile() now truncates length to DWORD_MAX (4294967295)
http://hg.python.org/cpython/rev/c75ab7b802df
msg191810 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-06-24 21:33
New changeset 6b4d279508a3 by Victor Stinner in branch 'default':
Issue #9566: Fix a compiler warning in tupleiter_setstate() on Windows x64
http://hg.python.org/cpython/rev/6b4d279508a3
msg191811 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-06-24 21:34
New changeset 72087ebf83f0 by Victor Stinner in branch 'default':
Issue #9566: Fix a compiler warning on Windows x64
http://hg.python.org/cpython/rev/72087ebf83f0
msg191813 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-06-24 21:37
New changeset 5a72adc7c8f7 by Victor Stinner in branch 'default':
Issue #9566: pystrtod.c: Fix a compiler warnings on Windows x64
http://hg.python.org/cpython/rev/5a72adc7c8f7
msg191814 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-06-24 21:48
New changeset c1a400501db6 by Victor Stinner in branch 'default':
Issue #9566: recv(), recvfrom(), send(), sendall() and sendto() methods
http://hg.python.org/cpython/rev/c1a400501db6
msg191815 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-06-24 21:59
New changeset 3a393fc86b29 by Victor Stinner in branch 'default':
Issue #9566: More long/Py_ssize_t fixes in tuple and list iterators (it_index)
http://hg.python.org/cpython/rev/3a393fc86b29
msg203267 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2013-11-18 09:31
I forgot to mention this issue in the following changesets.

changeset:   87128:f0a7924fac56
user:        Victor Stinner <victor.stinner@gmail.com>
date:        Fri Nov 15 23:16:15 2013 +0100
files:       Modules/_randommodule.c
description:
Fix compiler warning on Windows 64-bit: explicit cast size_t to unsigned long


changeset:   87129:8adbd8a3a626
user:        Victor Stinner <victor.stinner@gmail.com>
date:        Fri Nov 15 23:21:11 2013 +0100
files:       Modules/_sre.c
description:
Fix compiler warning (especially on Windows 64-bit): don't truncate Py_ssize_t
to int


changeset:   87130:baab11a466ab
user:        Victor Stinner <victor.stinner@gmail.com>
date:        Fri Nov 15 23:26:25 2013 +0100
files:       Python/random.c
description:
Fix compiler warning in win32_urandom(): explicit cast to DWORD in
CryptGenRandom()


changeset:   87131:e086cb1c6e5a
user:        Victor Stinner <victor.stinner@gmail.com>
date:        Sat Nov 16 00:13:29 2013 +0100
files:       Python/marshal.c
description:
Fix compiler warning (on Windows 64-bit): explicit cast Py_ssize_t to unsigned
char, n is in range [0; 255] (a tuple cannot have a negative length)


changeset:   87132:cf399d13a707
user:        Victor Stinner <victor.stinner@gmail.com>
date:        Sat Nov 16 00:16:58 2013 +0100
files:       Include/asdl.h
description:
Fix compiler warning on Windows 64-bit: asdl_seq_SET() stores the index parameter
into a Py_ssize_t, instead of an int


changeset:   87133:309d855ebc3e
user:        Victor Stinner <victor.stinner@gmail.com>
date:        Sat Nov 16 00:17:22 2013 +0100
files:       Modules/_ctypes/_ctypes.c
description:
Fix compiler warning on Windows 64 bit: _init_pos_args() result type is
Py_ssize_t, not int


changeset:   87134:7cd4c3e9e310
user:        Victor Stinner <victor.stinner@gmail.com>
date:        Sat Nov 16 00:18:58 2013 +0100
files:       Modules/socketmodule.c
description:
Fix sock_recvfrom_guts(): recvfrom() size is limited to an int on Windows, not
on other OSes!


changeset:   87135:9e25367095c4
user:        Victor Stinner <victor.stinner@gmail.com>
date:        Sat Nov 16 00:27:16 2013 +0100
files:       Modules/_hashopenssl.c
description:
Fix compiler warnings on Windows 64 bit: add an explicit cast from Py_ssize_t
to int, password.len was checked for being smaller than INT_MAX.


changeset:   87229:ac4272df1af6
user:        Victor Stinner <victor.stinner@gmail.com>
date:        Mon Nov 18 01:07:38 2013 +0100
files:       Parser/grammar.c
description:
Fix compiler warnings on Windows 64-bit in grammar.c

INT_MAX states and labels should be enough for everyone


changeset:   87230:19e900e3033f
user:        Victor Stinner <victor.stinner@gmail.com>
date:        Mon Nov 18 01:09:51 2013 +0100
files:       Parser/parsetok.c
description:
Fix a compiler warning on Windows 64-bit in parsetok.c

Python parser doesn't support lines longer than INT_MAX bytes yet


changeset:   87231:103998db4407
user:        Victor Stinner <victor.stinner@gmail.com>
date:        Mon Nov 18 01:21:12 2013 +0100
files:       Python/getargs.c
description:
Use Py_ssize_t type for sizes in getargs.c

Fix compiler warnings on Windows 64-bit


changeset:   87232:0f7f1f2121a1
user:        Victor Stinner <victor.stinner@gmail.com>
date:        Mon Nov 18 01:24:31 2013 +0100
files:       Modules/_sqlite/connection.c
description:
sqlite: raise an OverflowError if the result is longer than INT_MAX bytes

Fix a compiler warning on Windows 64-bit


changeset:   87233:855e172bcac4
user:        Victor Stinner <victor.stinner@gmail.com>
date:        Mon Nov 18 01:27:30 2013 +0100
files:       Modules/_sqlite/row.c
description:
Fix a compiler warning on Windows 64-bit: _sqlite module


changeset:   87234:40d25b2b93f0
user:        Victor Stinner <victor.stinner@gmail.com>
date:        Mon Nov 18 01:36:29 2013 +0100
files:       Modules/_sqlite/statement.c
description:
sqlite: raise an OverflowError if a string or a BLOB is longer than INT_MAX
bytes

Fix compiler warnings on Windows 64-bit


changeset:   87235:d1dc7888656f
user:        Victor Stinner <victor.stinner@gmail.com>
date:        Mon Nov 18 02:05:31 2013 +0100
files:       Python/getargs.c
description:
PY_FORMAT_SIZE_T should not be used with PyErr_Format(), PyErr_Format("%zd") is
portable


changeset:   87236:2a01ca4b0edc
user:        Victor Stinner <victor.stinner@gmail.com>
date:        Mon Nov 18 02:07:29 2013 +0100
files:       Modules/_sqlite/statement.c
description:
sqlite: Use Py_ssize_t to store a size instead of an int

Fix a compiler warning on Windows 64-bit
msg203424 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-11-19 21:23
New changeset 68fd86a83ece by Victor Stinner in branch 'default':
Issue #9566: compile.c uses Py_ssize_t instead of int to store sizes to fix
http://hg.python.org/cpython/rev/68fd86a83ece
msg203428 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-11-19 21:28
New changeset 8d3e85dfa46f by Victor Stinner in branch 'default':
Issue #9566, #19617: Fix compilation on Windows
http://hg.python.org/cpython/rev/8d3e85dfa46f
msg203434 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-11-19 22:03
New changeset ee4da7291211 by Victor Stinner in branch 'default':
Issue #9566, #19617: New try to fix compilation on Windows
http://hg.python.org/cpython/rev/ee4da7291211
msg203442 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-11-19 22:56
New changeset 116bd550e309 by Victor Stinner in branch 'default':
Issue #9566, #19617: Fix more compiler warnings in compile.c on Windows 64-bit
http://hg.python.org/cpython/rev/116bd550e309
msg222031 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-01 14:04
Are there any more warnings that need silencing or can this be closed as fixed?  How do I check for these warnings as I don't have a 64 bit machine?
msg222035 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-07-01 14:31
> How do I check for these warnings as I don't have a 64 bit machine?

Check buildbots. Example:
http://buildbot.python.org/all/builders/AMD64%20Windows7%20SP1%203.x/builds/4744/steps/compile/logs/warnings%20%28108%29

There are still open issues related to this one: #18295 at least.
msg251557 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-09-24 23:21
I've got the latest output with all of the warnings but I'm not sure where I should attach it as #18295 and #18407 also apply.  There are also multiple deprecation warnings but I'm sure they've been discussed before.  Can somebody please advise, thanks.
msg297298 - (view) Author: Segev Finer (Segev Finer) * Date: 2017-06-29 19:43
I submitted a PR which fixes some more warnings. The ones I haven't fixed are detailed in the PR description.
msg299249 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-07-26 15:58
New changeset e7bc7aac3d4a7d92aa5913006b0198820882ca59 by Steve Dower (Segev Finer) in branch 'master':
bpo-9566: Fix a warning in Python/getargs.c (#2890)
https://github.com/python/cpython/commit/e7bc7aac3d4a7d92aa5913006b0198820882ca59
msg299267 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-07-26 22:18
New changeset 679b566622ec811c5e5d580f6a538f7a43006e05 by Steve Dower (Segev Finer) in branch 'master':
bpo-9566: Fix some Windows x64 compiler warnings (#2492)
https://github.com/python/cpython/commit/679b566622ec811c5e5d580f6a538f7a43006e05
msg299268 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-07-26 22:19
New changeset 5cff6379797967faabbb834a9eb154c3f0839489 by Steve Dower (Segev Finer) in branch 'master':
bpo-9566: Fixed _ssl module warnings (#2495)
https://github.com/python/cpython/commit/5cff6379797967faabbb834a9eb154c3f0839489
msg299275 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-26 23:36
> New changeset 679b566622ec811c5e5d580f6a538f7a43006e05 by Steve Dower (Segev Finer) in branch 'master':
> bpo-9566: Fix some Windows x64 compiler warnings (#2492)
> https://github.com/python/cpython/commit/679b566622ec811c5e5d580f6a538f7a43006e05

This change broke AMD64 Windows7 SP1 3.x buildbot, see the logs for all errors:

http://buildbot.python.org/all/builders/AMD64%20Windows7%20SP1%203.x/builds/796/steps/test/logs/stdio
msg299276 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-26 23:37
Two other broken buildbots:
http://buildbot.python.org/all/builders/AMD64%20Windows8%203.x/builds/967/steps/test/logs/stdio
http://buildbot.python.org/all/builders/AMD64%20Windows10%203.x/builds/997/steps/test/logs/stdio
msg299277 - (view) Author: Segev Finer (Segev Finer) * Date: 2017-07-26 23:37
@haypo https://github.com/python/cpython/pull/2904
msg299289 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-07-27 03:15
New changeset a80e985c493d2ab9df0832c99d9ddb798d2e66cf by Steve Dower (Segev Finer) in branch 'master':
bpo-9566: Change HANDLE argument parsing to unsigned in msvcrtmodule.c (#2904)
https://github.com/python/cpython/commit/a80e985c493d2ab9df0832c99d9ddb798d2e66cf
msg299329 - (view) Author: Segev Finer (Segev Finer) * Date: 2017-07-27 17:23
The only warnings that remain are:

1. The one from gcmodule.c due to dtrace, which is handled in PR 2852.
2. The peephole warnings which I'm not sure about. Are overflows possible there or not? That is, if there are already internal caps that prevent them. If they are possible, it might require a larger change to support EXTENDED_ARG in some places. i.e. can the consts table really grow larger than `unsigned int` or can a jump target be large enough to overflow?
msg300610 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2017-08-20 22:45
New changeset 0267128aa4dc7c383c341c19833c5d506eae9c93 by Antoine Pitrou (Segev Finer) in branch 'master':
bpo-9566 & bpo-30747: Silence warnings from pyatomic.h macros (#3140)
https://github.com/python/cpython/commit/0267128aa4dc7c383c341c19833c5d506eae9c93
msg310230 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-01-18 10:15
New changeset 05d68a8bd84cb141be9f9335f5b3540f15a989c4 by Victor Stinner in branch 'master':
bpo-9566: Fix size_t=>int downcast warnings (#5230)
https://github.com/python/cpython/commit/05d68a8bd84cb141be9f9335f5b3540f15a989c4
msg330250 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-22 12:21
New changeset 28f468cb19e3097079b7ce7850e6048de99022fa by Victor Stinner in branch 'master':
bpo-9566: Fix compiler warnings in pyexpat.c (GH-10654)
https://github.com/python/cpython/commit/28f468cb19e3097079b7ce7850e6048de99022fa
msg330251 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-22 12:31
There is also:

commit cdbcb773f5db24e23fa90e644ec620d54bd08127
Author: Victor Stinner <vstinner@redhat.com>
Date:   Thu Nov 22 10:25:46 2018 +0100

    cjkcodecs: Fix compiler warning (GH-10651)
    
    Fixed the following compiler warning in multibytecodec.c:
    
        warning C4244: '=': conversion from 'Py_ssize_t'
        to 'unsigned char', possible loss of data
    
    Cast Py_ssize_t to unsigned char: the maximum value is checked
    on the previous line.
msg331261 - (view) Author: Jeremy Kloth (jkloth) * Date: 2018-12-07 02:03
I've added two PRs (GH-11010 and GH-11011) along with bpo-35433 that should get 3.x warning free (finally!) on 64-bit Windows.
msg331338 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-12-07 16:54
New changeset 028f0ef4f3111d2b3fc5b971642e337ba7990873 by Victor Stinner in branch 'master':
bpo-9566: Fix compiler warnings in peephole.c (GH-10652)
https://github.com/python/cpython/commit/028f0ef4f3111d2b3fc5b971642e337ba7990873
msg337327 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-03-06 16:54
New changeset edad38e3e05586ba58291f47756eb3fb808f5577 by Victor Stinner (Jeremy Kloth) in branch 'master':
bpo-9566: Fix compiler warnings in gcmodule.c (GH-11010)
https://github.com/python/cpython/commit/edad38e3e05586ba58291f47756eb3fb808f5577
msg337328 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-03-06 16:59
> New changeset edad38e3e05586ba58291f47756eb3fb808f5577 by Victor Stinner (Jeremy Kloth) in branch 'master':
> bpo-9566: Fix compiler warnings in gcmodule.c (GH-11010)

It fixed the last known warning. Thanks everyone who was involved in this funny ride. It's now time to close the issue!

It just took 9 years to fix all compiler warnings on 64-bit Windows ;-)
msg340700 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-04-23 08:26
New changeset 8a9a6b443c57e47e9d10ed7775479aada4dac719 by Victor Stinner in branch '3.7':
[3.7] bpo-9566: Fix compiler warnings on Windows (GH-12920)
https://github.com/python/cpython/commit/8a9a6b443c57e47e9d10ed7775479aada4dac719
History
Date User Action Args
2019-04-23 08:26:14vstinnersetmessages: + msg340700
2019-04-23 08:09:07vstinnersetpull_requests: + pull_request12846
2019-03-06 16:59:45vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg337328

stage: patch review -> resolved
2019-03-06 16:54:15vstinnersetmessages: + msg337327
2018-12-07 16:54:25vstinnersetmessages: + msg331338
2018-12-07 02:03:35jklothsetmessages: + msg331261
2018-12-07 01:49:57jklothsetnosy: + jkloth
2018-12-07 01:47:30jklothsetpull_requests: + pull_request10245
2018-12-07 01:43:14jklothsetpull_requests: + pull_request10244
2018-11-22 12:31:22vstinnersetmessages: + msg330251
2018-11-22 12:21:49vstinnersetmessages: + msg330250
2018-11-22 11:34:23vstinnersetpull_requests: + pull_request9907
2018-11-22 09:46:23vstinnersetpull_requests: + pull_request9905
2018-01-18 10:15:27vstinnersetmessages: + msg310230
2018-01-18 08:35:29vstinnersetpull_requests: + pull_request5077
2017-08-20 22:45:49pitrousetmessages: + msg300610
2017-08-18 17:27:53Segev Finersetpull_requests: + pull_request3174
2017-07-27 17:23:27Segev Finersetmessages: + msg299329
2017-07-27 03:15:21steve.dowersetmessages: + msg299289
2017-07-26 23:37:48Segev Finersetmessages: + msg299277
2017-07-26 23:37:25vstinnersetmessages: + msg299276
2017-07-26 23:36:04vstinnersetmessages: + msg299275
2017-07-26 23:17:07Segev Finersetpull_requests: + pull_request2955
2017-07-26 22:19:20steve.dowersetmessages: + msg299268
2017-07-26 22:18:01steve.dowersetmessages: + msg299267
2017-07-26 15:58:27steve.dowersetmessages: + msg299249
2017-07-26 09:38:54Segev Finersetpull_requests: + pull_request2942
2017-07-24 18:53:39Segev Finersetpull_requests: + pull_request2902
2017-06-29 21:53:22Segev Finersetpull_requests: + pull_request2556
2017-06-29 19:43:11Segev Finersetnosy: + Segev Finer

messages: + msg297298
versions: + Python 3.7
2017-06-29 19:40:09Segev Finersetpull_requests: + pull_request2551
2017-06-12 19:21:02steve.dowersetpull_requests: - pull_request2171
2017-06-12 10:29:10BreamoreBoysetnosy: - BreamoreBoy
2017-06-11 22:15:39Segev Finersetpull_requests: + pull_request2171
2015-09-25 02:53:04brian.curtinsetnosy: - brian.curtin
2015-09-24 23:21:47BreamoreBoysetmessages: + msg251557
versions: + Python 3.6, - Python 3.4
2015-02-13 16:07:52steve.dowersetnosy: + steve.dower
2014-07-01 14:31:34vstinnersetmessages: + msg222035
2014-07-01 14:04:40BreamoreBoysetnosy: + BreamoreBoy

messages: + msg222031
versions: + Python 3.5, - Python 3.3
2013-11-19 22:56:56python-devsetmessages: + msg203442
2013-11-19 22:03:47python-devsetmessages: + msg203434
2013-11-19 21:28:14python-devsetmessages: + msg203428
2013-11-19 21:23:35python-devsetmessages: + msg203424
2013-11-18 09:31:33vstinnersetmessages: + msg203267
2013-06-24 21:59:38python-devsetmessages: + msg191815
2013-06-24 21:48:00python-devsetmessages: + msg191814
2013-06-24 21:37:52python-devsetmessages: + msg191813
2013-06-24 21:34:36python-devsetmessages: + msg191811
2013-06-24 21:33:40python-devsetmessages: + msg191810
2013-06-24 21:15:08python-devsetmessages: + msg191804
2013-06-24 21:07:02vstinnersetmessages: + msg191803
2013-06-24 21:05:20python-devsetmessages: + msg191801
2013-06-04 23:18:31python-devsetmessages: + msg190630
2013-06-04 22:25:14python-devsetmessages: + msg190622
2013-06-04 22:14:04python-devsetmessages: + msg190621
2013-06-04 21:57:56python-devsetmessages: + msg190619
2013-05-17 07:30:32vstinnersetmessages: + msg189427
2013-05-17 05:22:22terry.reedysetmessages: + msg189421
2013-05-17 01:02:19ezio.melottisetpriority: low -> normal
nosy: + terry.reedy
stage: patch review

versions: + Python 3.3, Python 3.4, - Python 3.2
2012-10-31 00:07:08python-devsetmessages: + msg174246
2012-07-21 13:00:19floxlinkissue9783 superseder
2012-07-21 12:57:14floxsetfiles: + warnings64.log

nosy: + flox
messages: + msg166018

keywords: + buildbot
2011-07-07 23:10:40python-devsetnosy: + python-dev
messages: + msg140000
2011-01-11 01:13:38vstinnersetfiles: + issue9566.patch
nosy: loewis, amaury.forgeotdarc, pitrou, vstinner, schmir, brian.curtin, janglin
messages: + msg125974
2011-01-11 01:03:41vstinnersetfiles: + _sre.patch
nosy: loewis, amaury.forgeotdarc, pitrou, vstinner, schmir, brian.curtin, janglin
messages: + msg125973
2011-01-11 00:55:49vstinnersetfiles: + hash.patch
nosy: loewis, amaury.forgeotdarc, pitrou, vstinner, schmir, brian.curtin, janglin
messages: + msg125972
2011-01-11 00:53:57vstinnersetfiles: + ssl_write.patch
nosy: loewis, amaury.forgeotdarc, pitrou, vstinner, schmir, brian.curtin, janglin
messages: + msg125971
2011-01-11 00:51:34vstinnersetnosy: loewis, amaury.forgeotdarc, pitrou, vstinner, schmir, brian.curtin, janglin
messages: + msg125970
2011-01-11 00:48:39vstinnersetfiles: + ssl_sock_fd_int.patch
nosy: loewis, amaury.forgeotdarc, pitrou, vstinner, schmir, brian.curtin, janglin
messages: + msg125969
2011-01-11 00:08:22vstinnersetfiles: + socketmodule_int.patch
nosy: loewis, amaury.forgeotdarc, pitrou, vstinner, schmir, brian.curtin, janglin
messages: + msg125963
2011-01-11 00:07:13vstinnersetfiles: - pyexpat.patch
nosy: loewis, amaury.forgeotdarc, pitrou, vstinner, schmir, brian.curtin, janglin
2011-01-10 23:01:27vstinnersetnosy: loewis, amaury.forgeotdarc, pitrou, vstinner, schmir, brian.curtin, janglin
messages: + msg125951
2011-01-05 01:02:42vstinnersetfiles: + pyexpat.patch

messages: + msg125390
keywords: + patch
nosy: loewis, amaury.forgeotdarc, pitrou, vstinner, schmir, brian.curtin, janglin
2011-01-05 00:01:20loewissetnosy: loewis, amaury.forgeotdarc, pitrou, vstinner, schmir, brian.curtin, janglin
messages: + msg125385
2011-01-04 23:55:09vstinnersetnosy: loewis, amaury.forgeotdarc, pitrou, vstinner, schmir, brian.curtin, janglin
messages: + msg125384
2011-01-04 22:40:29loewissetnosy: loewis, amaury.forgeotdarc, pitrou, vstinner, schmir, brian.curtin, janglin
messages: + msg125377
2011-01-04 22:05:25vstinnersetnosy: loewis, amaury.forgeotdarc, pitrou, vstinner, schmir, brian.curtin, janglin
messages: + msg125371
2011-01-04 22:02:46vstinnersetnosy: loewis, amaury.forgeotdarc, pitrou, vstinner, schmir, brian.curtin, janglin
messages: + msg125370
2011-01-04 21:47:09loewissetnosy: loewis, amaury.forgeotdarc, pitrou, vstinner, schmir, brian.curtin, janglin
messages: + msg125367
2011-01-04 21:24:17vstinnersetnosy: loewis, amaury.forgeotdarc, pitrou, vstinner, schmir, brian.curtin, janglin
messages: + msg125363
2011-01-04 15:03:15amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg125334
2011-01-04 13:06:06vstinnersetnosy: + vstinner
messages: + msg125311
2011-01-04 12:30:06schmirsetnosy: + schmir
2011-01-04 12:09:51pitroulinkissue10823 superseder
2010-09-13 14:11:29janglinsetnosy: + janglin
2010-08-15 19:26:12brian.curtinsetnosy: + brian.curtin
2010-08-15 18:13:29pitrousetmessages: + msg113987
2010-08-15 18:03:51pitrousetmessages: + msg113983
2010-08-15 17:49:06pitrousetmessages: + msg113978
2010-08-15 17:34:24pitrousetmessages: + msg113977
2010-08-15 17:26:13pitrousetmessages: + msg113975
2010-08-11 00:15:06loewissetnosy: + loewis
messages: + msg113574
2010-08-10 23:59:44pitroucreate